> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.lettucestream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Active Spotlights

> Returns currently active spotlight items.



## OpenAPI

````yaml GET /api/spotlights/list
openapi: 3.1.0
info:
  title: Lettuce Stream API
  description: OpenAPI subset used by the API reference endpoint examples.
  version: 1.0.0
servers:
  - url: https://www.lettucestream.com
security: []
paths:
  /api/spotlights/list:
    get:
      summary: List active spotlights
      description: Returns currently active spotlight items.
      responses:
        '200':
          description: Active spotlights
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Spotlight'
components:
  schemas:
    Spotlight:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        platform:
          type: string
        url:
          type: string
          format: uri
        startsAt:
          type: string
          format: date-time
      required:
        - id
        - title
        - platform
        - url
        - startsAt

````